Name:          fonttools
Version:       3.13.1
Release:       %mkrel 1
Summary:       A tool to convert True/OpenType fonts to XML and back
Group:         Development/Other
License:       BSD
Url:           https://github.com/behdad/fonttools
Source0:       https://github.com/behdad/fonttools/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: glibc-devel
Requires:      python3-fonttools

%description
TTX/FontTools is a tool to convert OpenType and TrueType fonts to and
from XML. FontTools is a library for manipulating fonts, written in Python.
It supports TrueType, OpenType, AFM and to an extent Type 1 and some
Mac-specific formats.

%package -n python2-fonttools
Summary:       Python 2 fonttools library
%{?python_provide:%python_provide python2-%{name}}
BuildRequires: pkgconfig(python2)
BuildRequires: pythonegg(2)(numpy)
BuildRequires: pythonegg(2)(setuptools)
Requires:      pythonegg(2)(numpy)

%description -n python2-fonttools
TTX/FontTools is a tool for manipulating TrueType and OpenType fonts. It is
written in Python and has a BSD-style, open-source license. TTX can dump
TrueType and OpenType fonts to an XML-based text format and vice versa.


%package -n python3-fonttools
Summary:       Python 3 fonttools library
%{?python_provide:%python_provide python3-%{name}}
BuildRequires: pkgconfig(python3)
BuildRequires: pythonegg(3)(numpy)
BuildRequires: pythonegg(3)(setuptools)
Requires:      pythonegg(3)(numpy)

%description -n python3-fonttools
TTX/FontTools is a tool for manipulating TrueType and OpenType fonts. It is
written in Python and has a BSD-style, open-source license. TTX can dump
TrueType and OpenType fonts to an XML-based text format and vice versa.

%prep
%autosetup -p1

rm -rf %{py3dir} && mkdir %{py3dir}
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

rm -rf %{buildroot}%{python2_sitelib}/FontTools/fontTools/ttLib/test

%files
%{_bindir}/%{name}
%{_bindir}/pyft*
%{_bindir}/ttx
%{_mandir}/man1/ttx.1.xz
 
%files -n python2-fonttools
%doc NEWS.rst
%license LICENSE
%{python2_sitelib}/%{name}-%{version}-py%{python2_version}.egg-info/
%{python2_sitelib}/fontTools/

%files -n python3-fonttools
%doc NEWS.rst
%license LICENSE
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/fontTools


%changelog
* Sat Jun 03 2017 akien <akien> 3.13.1-1.mga6
+ Revision: 1105910
- Version 3.13.1

* Fri Jun 02 2017 akien <akien> 3.13.0-1.mga6
+ Revision: 1105843
- Version 3.13.0

* Thu May 25 2017 akien <akien> 3.12.1-1.mga6
+ Revision: 1104582
- Version 3.12.1

* Thu Apr 20 2017 akien <akien> 3.10.0-1.mga6
+ Revision: 1096971
- Version 3.10.0

* Sat Mar 11 2017 akien <akien> 3.8.0-1.mga6
+ Revision: 1091871
- Version 3.8.0

* Mon Feb 20 2017 akien <akien> 3.7.2-1.mga6
+ Revision: 1087020
- Version 3.7.2

* Fri Feb 17 2017 akien <akien> 3.7.1-1.mga6
+ Revision: 1086534
- Version 3.7.1

* Sun Feb 12 2017 akien <akien> 3.7.0-1.mga6
+ Revision: 1085897
- Version 3.7.0

* Wed Feb 08 2017 akien <akien> 3.6.3-1.mga6
+ Revision: 1085159
- Version 3.6.3

* Fri Feb 03 2017 akien <akien> 3.6.2-1.mga6
+ Revision: 1084662
- Version 3.6.2

* Sun Jan 29 2017 akien <akien> 3.6.1-1.mga6
+ Revision: 1084063
- Version 3.6.1

* Fri Apr 01 2016 daviddavid <daviddavid> 3.0-6.mga6
+ Revision: 997301
- add patch0 from fedora to fix rh#1240265 - fonttools 2.5 takes too much memory

* Sat Feb 20 2016 umeabot <umeabot> 3.0-5.mga6
+ Revision: 972413
- Mageia 6 Mass Rebuild

* Wed Nov 04 2015 tv <tv> 3.0-4.mga6
+ Revision: 897714
- add py3 subpackage

* Mon Nov 02 2015 daviddavid <daviddavid> 3.0-3.mga6
+ Revision: 897303
- use new python macros to fix build
- use a named and versionned tarball from github

* Wed Sep 16 2015 tv <tv> 3.0-2.mga6
+ Revision: 879760
- make it buildarch thus really fixing empty debuginfo

* Sun Sep 13 2015 ycantin <ycantin> 3.0-1.mga6
+ Revision: 878942
- new version 3.0
  fix URLs and desc

* Wed Sep 09 2015 neoclust <neoclust> 2.5-2.mga6
+ Revision: 875057
- Fix build with new rpm ( empty debuginfo)

* Tue Jun 30 2015 tv <tv> 2.5-1.mga6
+ Revision: 848691
- fix build
- new release

* Wed Oct 15 2014 umeabot <umeabot> 2.4-5.mga5
+ Revision: 749681
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.4-4.mga5
+ Revision: 726240
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.4-3.mga5
+ Revision: 679294
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.4-2.mga5
+ Revision: 628185
- Rebuild for new Python

* Mon Feb 10 2014 sander85 <sander85> 2.4-1.mga5
+ Revision: 589091
- New version: 2.4

* Tue Oct 22 2013 umeabot <umeabot> 2.3-4.mga4
+ Revision: 542592
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 2.3-3.mga4
+ Revision: 497752
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jan 11 2013 umeabot <umeabot> 2.3-2.mga3
+ Revision: 350746
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 gil <gil> 2.3-1.mga2
+ Revision: 163840
- imported package fonttools

